import Logo from "@/layouts/AuthLayout/components/Logo";
import { Button, Layout, Popover, Space } from "antd";
import classNames from "classnames";
import React, { useMemo } from "react";
import HeaderCenter from "./HeaderCenter";
import InWebsite from "./InWebsite";
import Content from "./Content";

export default (props) => {
  const className = useMemo(
    () =>
      classNames({
        "layout-header": true,
        light: props.theme === "light",
      }),
    [props.theme]
  );
  return (
    <Layout.Header className={className}>
      {/* <div style={{ width: "1200px", display: "flex", margin: "0 auto" }}> */}
        <Logo />
        <Space className="space">
          <HeaderCenter />
          <InWebsite />
        </Space>
      {/* </div> */}
    </Layout.Header>
  );
};
