import React, { useEffect } from "react";
import { Button, message } from "antd";
import { Helmet } from "react-helmet";
import { useNavigate, useSearchParams } from "react-router-dom";
import { useModel } from "@/store";
import LoginForm from "./LoginForm";
import LoginQrCode from "./components/LoginQrCode";
import LoginEffect from "./Effect";
import Particles from './Particles';
import "./style.less";

const year = new Date().getFullYear();

export default (props) => {
  const { app } = useModel("system");
  const navigate = useNavigate();
  const [searchParams] = useSearchParams();

  const title = `欢迎使用${app.fullName}`;
  const copyright = `${app.company} @ ${year}`;

  const onChangeType = () => {
    setLoginType(loginType == 0 ? 1 : 0);
  };

  const onSuccess = (row) => {
    try {
      navigate("/fxuser");
    } catch (e) {
      message.error(e);
    }
  };

  return (
    <div className="login-page">
      <Helmet>
        <title>{app.fullName}</title>
      </Helmet>
      <Particles />
      <div className="login-page-container">
        <div className="login-card">
          <div className="login-card-left">
            <div className="login-form-box">
              <div className="login-form">
                <h2 className="login-text">登录系统</h2>
                <div className="login-subtitle">{title}</div>
                <LoginForm onSuccess={onSuccess} />
              </div>
            </div>
            <div className="login-copyright">
              {copyright}
            </div>
          </div>
          <div className="login-card-right">
            <LoginEffect />
          </div>
        </div>
      </div>
    </div>
  );
};
